Subject: Re: embedded a default dtb in the kernel (was merge dtc)

From: David Gibson <[email-masked]>
Date: Sat, 20 Oct 2007 17:11:22 +1000

On Fri, Oct 19, 2007 at 02:30:28PM -0400, Leisner, Martin wrote:
> Is there a way to embed a default dtb into the kernel?
> When I build a kernel, I want to embed a dtb into it --
> so I don't have to deal with the headaches of finding the
> right file to match the right board (its always easier to
> deal with 1 file than 2).

You can't embed a dtb in the vmlinux, but zImages routinely contain an
embedded dtb.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson